Autor Tópico: Cannot upgrade Ubuntu 20.10  (Lida 833 vezes)

Offline danielalvesleandro

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
Cannot upgrade Ubuntu 20.10
« Online: 11 de Fevereiro de 2022, 18:21 »
Hi guys,

I have an Ubuntu 20.10 instance that I need to upgrade to a newer release (21.04/21.10). When I try to do that using the update-manager it shows the message "Software updates are no longer provided for Ubuntu 20.10. To stay secure you should upgrade to Ubuntu 21.10", however when I click on Upgrade it tries to upgrade to Ubuntu 21.10 'Impish Indri' and then gives an error message "Can not upgrade. An upgrade from 'groovy' to 'impish' is not supported with this tool.".

My current version:

$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 20.10
Release:   20.10
Codename:   groovy

If I try to run the sudo apt-get update && sudo apt-get dist-upgrade commands it gives me error below for several repositories. It's using the main server.

Err:17 http://archive.ubuntu.com/ubuntu groovy-security Release         
  404  Not Found [IP: 91.189.88.152 80]
Err:18 http://ppa.launchpad.net/vajdics/netbeans-installer/ubuntu groovy Release
  404  Not Found [IP: 91.189.95.85 80]
Reading package lists... Done                     
E: The repository 'http://archive.ubuntu.com/ubuntu groovy Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

I've already tried to disable all repos from the Others view, but it do not solve the problem.

Err:5 http://archive.ubuntu.com/ubuntu groovy Release
  404  Not Found [IP: 91.189.88.152 80]
Err:6 http://archive.ubuntu.com/ubuntu groovy-updates Release
  404  Not Found [IP: 91.189.88.152 80]
Err:7 http://archive.ubuntu.com/ubuntu groovy-backports Release
  404  Not Found [IP: 91.189.88.152 80]
Err:8 http://archive.ubuntu.com/ubuntu groovy-security Release
  404  Not Found [IP: 91.189.88.152 80]
Reading package lists... Done
E: The repository 'http://archive.ubuntu.com/ubuntu groovy Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://archive.ubuntu.com/ubuntu groovy-updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://archive.ubuntu.com/ubuntu groovy-backports Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://archive.ubuntu.com/ubuntu groovy-security Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Can someone help me to get it upgraded to a newer version? I believe that it should be upgraded first to 21.04, but I cannot find any way to do that. Is there any way of upgrading it using a ISO image or something like that? Thanks.

« Última modificação: 11 de Fevereiro de 2022, 18:23 por danielalvesleandro »

Offline danielalvesleandro

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
Re:Cannot upgrade Ubuntu 20.10
« Resposta #1 Online: 11 de Fevereiro de 2022, 18:24 »
I've also tried it:


$ do-release-upgrade
Checking for a new Ubuntu release

Your Ubuntu release is not supported anymore.
For upgrade information, please visit:
http://www.ubuntu.com/releaseendoflife

Get:1 Upgrade tool signature [819 B]                                                                                                                                                                             
Get:2 Upgrade tool [1.274 kB]                                                                                                                                                                                     
Fetched 1.275 kB in 0s (0 B/s)                                                                                                                                                                                   
authenticate 'impish.tar.gz' against 'impish.tar.gz.gpg'
extracting 'impish.tar.gz'

Reading cache

Checking package manager

Can not upgrade

An upgrade from 'groovy' to 'impish' is not supported with this tool.

Offline danielalvesleandro

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
Re:Cannot upgrade Ubuntu 20.10
« Resposta #2 Online: 15 de Fevereiro de 2022, 10:14 »
Hi people, does anynone have any idea on how to solve that issue?

Offline CelticWarrior

  • Usuário Ubuntu
  • *
  • Mensagens: 338
    • Ver perfil
    • CHANGAN Auto
Re:Cannot upgrade Ubuntu 20.10
« Resposta #3 Online: 15 de Fevereiro de 2022, 20:11 »
I'm not sure English is allowed in this forum (its name strongly suggests it isn't)...

Anyway,

Ubuntu 20.10 is well past its due date. Although it's possible to do an online release upgrade starting from an EoL release, in this case it's completely out of question. You'd need to go from 2.10 > 21.04 (also EoL) > 21.10.

Do your backups if not done already and install a supported release from scratch. Much safer, better results and takes 1/10 of the time.

Of note: NEVER use an EoL OS, even a Linux based one. Ubuntu 20.10 doesn't get security updates since July 2021!!